List variable natures
curl --request GET \
--url https://{host}/remuneration/api/variable-natures \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/remuneration/api/variable-natures"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/remuneration/api/variable-natures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"name": "Annual bonus",
"type": "Amount",
"category": {
"id": 123,
"code": "BONUS"
},
"establishments": [
{
"id": 123,
"name": "Lucca FR",
"currencyCode": "EUR",
"currencySymbol": "€"
}
]
}
],
"next": "<string>",
"prev": "<string>",
"count": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Variable-natures
List variable natures
Retrieve all existing variable natures
GET
/
remuneration
/
api
/
variable-natures
List variable natures
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Query Parameters
Only return variable natures linked to the specified establishments.
Only return variable natures linked to the specified categories.
For paging. Number of items per page.
Two strategy might be used:
- Continuation token paging
- Offset limit paging
Properties that make sense on the collection level
Available options:
next, prev, count Was this page helpful?